// ---------------------------------------------
// Drogar P Dialogue
// ---------------------------------------------
BEGIN LK#DR25P

// Kicked Out
IF ~Global("LK#DrogarJoined","GLOBAL",1)~ LK#Drogar_KO
  SAY ~Are ye sure ye want me to leave?  Ye've got a while to go yet, and ye may have need of a strong arm an' a pair o' dice.~
  ++ ~My mistake--please, stay.~ DO ~SetGlobal("LK#DrogarJoined","GLOBAL",1) JoinParty()~ EXIT
  + ~AreaCheck("AR4500")~ + ~Just wait here for a while, if you would.~ DO ~SetGlobal("LK#DrogarJoined","GLOBAL",0) MoveToPointNoInterrupt([1585.1374]) Face(0)~ EXIT
  + ~!AreaCheck("AR4500") !AreaCheck("AR4000") !AreaCheck("AR6200")~ + ~I'll send you back to the pocket plane and come by for you there.~ DO ~SetGlobal("LK#DrogarJoined","GLOBAL",0) CreateVisualEffectObject("SPDIMNDR",Myself) Wait(2) MoveBetweenAreas("AR4500",[1585.1374],0)~ EXIT
  + ~!AreaCheck("AR4500") !AreaCheck("AR4000") !AreaCheck("AR6200")~ + ~Wait here, if you would.~ DO ~SetGlobal("LK#DrogarJoined","GLOBAL",0)~ + LK#Drogar_KO_1
END

IF ~~ LK#Drogar_KO_1
  SAY ~If ye want, but I won't wait forever.~
  IF ~~ EXIT
END

// Rejoining
IF ~Global("LK#DrogarJoined","GLOBAL",0)~ LK#Drogar_Rejoin
  SAY ~I was beginnin' to wonder if me dice'd scared ye away, <CHARNAME>!  Do ye want me to rejoin ye?~
  ++ ~I would appreciate the help.~ + LK#Drogar_Rejoin1
  ++ ~No, thanks.  Just stay here for the moment.~ + LK#Drogar_KO_1
END

IF ~~ THEN BEGIN LK#Drogar_Rejoin1
  SAY ~About time, too.  That ruddy demon never stops--if ye'd left me much longer ye'd have found him missin', methinks.~
  IF ~~ THEN DO ~SetGlobal("LK#DrogarJoined","GLOBAL",1) JoinParty()~ EXIT
END
